curl --request POST \
--url https://sandbox.withclasp.com/premiums/age_banded_table \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>"
}
'import requests
url = "https://sandbox.withclasp.com/premiums/age_banded_table"
payload = { "amount": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>'})
};
fetch('https://sandbox.withclasp.com/premiums/age_banded_table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "<string>",
"coverage_type": "member",
"tobacco_usage": true,
"relationship_category": "member",
"age": "<string>"
}
]Calculate Age Banded Table
Calculates a sample age-banded table for a given 21-year-old rate. Many small group medical plans follow a similar age curve. Responds with a full list of premiums that can be passed to the /plans//premiums endpoint.
Authorizations
API Key authentication with required prefix "Bearer"
Body
The premium amount for a 21-year-old.
^-?\d{0,8}(?:\.\d{0,2})?$AL- ALAK- AKAZ- AZAR- ARCA- CACO- COCT- CTDE- DEDC- DCFL- FLGA- GAHI- HIID- IDIL- ILIN- INIA- IAKS- KSKY- KYLA- LAME- MEMD- MDMA- MAMI- MIMN- MNMS- MSMO- MOMT- MTNE- NENV- NVNH- NHNJ- NJNM- NMNY- NYNC- NCND- NDOH- OHOK- OKOR- ORPA- PARI- RISC- SCSD- SDTN- TNTX- TXUT- UTVT- VTVA- VAWA- WAWV- WVWI- WIWY- WY
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY Response
The amount of the premium. For example '100' to define a rate of $100.
^-?\d{0,8}(?:\.\d{0,2})?$The coverage type to which this premium applies. For example 'member' to define a rate for a member-only enrollment.
member, member_spouse, member_child, member_children, member_family Whether this rate depends on tobacco usage. Leave null when not applicable.
The relationship category to which this premium applies. For example 'member' to define a rate for a member and 'child' to define a rate for a child.
member, spouse, child The age to which this premium applies. For example '18' to define a rate for a 18-year-old.
^\d{0,2}$